Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DhcpConfiguration

    java.lang.Object
      com.amazonaws.services.ec2.model.DhcpConfiguration

    public class DhcpConfiguration

extends Object

The DhcpConfiguration data type

Constructor Summary
`DhcpConfiguration()`

Method Summary
`String` | `getKey()` Contains the name of a DHCP option.
`List<String>` | `getValues()` Contains a set of values for a DHCP option.
`void` | `setKey(String key)` Contains the name of a DHCP option.
`void` | `setValues(Collection<String> values)` Contains a set of values for a DHCP option.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DhcpConfiguration` | `withKey(String key)` Contains the name of a DHCP option.
`DhcpConfiguration` | `withValues(Collection<String> values)` Contains a set of values for a DHCP option.
`DhcpConfiguration` | `withValues(String... values)` Contains a set of values for a DHCP option.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DhcpConfiguration

    public DhcpConfiguration()

Method Detail

### getKey

    public String getKey()

  Contains the name of a DHCP option.

  Returns:
    Contains the name of a DHCP option.

### setKey

    public void setKey(String key)

  Contains the name of a DHCP option.

  Parameters:
    `key` - Contains the name of a DHCP option.

### withKey

    public DhcpConfiguration withKey(String key)

  Contains the name of a DHCP option.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `key` - Contains the name of a DHCP option.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValues

    public List<String> getValues()

  Contains a set of values for a DHCP option.

  Returns:
    Contains a set of values for a DHCP option.

### setValues

    public void setValues(Collection<String> values)

  Contains a set of values for a DHCP option.

  Parameters:
    `values` - Contains a set of values for a DHCP option.

### withValues

    public DhcpConfiguration withValues(String... values)

  Contains a set of values for a DHCP option.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `values` - Contains a set of values for a DHCP option.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withValues

    public DhcpConfiguration withValues(Collection<String> values)

  Contains a set of values for a DHCP option.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `values` - Contains a set of values for a DHCP option.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.